import { Mark } from 'tiptap'
import { toggleMark } from 'tiptap-commands'

export default class SubscriptStyle extends Mark {

    get name() {
        return 'subscriptstyle'
    }

    get schema() {
        return {
            parseDOM: [
                {
                    tag: 'sub',
                },
                //{
                //     style: 'text-decoration',
                //     getAttrs: value => value === 'underline',
                // },
            ],
            toDOM: () => ['sub', 0],
        }


    }

    commands({ type }) {
        return () => toggleMark(type)
    }

}
